function L = f_L_from_K_and_G(K,G)
%
% Assembly of the stiffness matrix 
% f_L_from_K_and_G(K,G)
%
% input: bulk modulus K [Pa]
%        shear modulus G [Pa]

% output: stiffness matrix [Pa]
%
% written by Venca 14/8/2011

ii = [1,1,1,0,0,0;
      1,1,1,0,0,0;
      1,1,1,0,0,0;
      0,0,0,0,0,0;
      0,0,0,0,0,0;
      0,0,0,0,0,0];

Iv = 1/3*ii;
Id = eye(6)-Iv;

L = 3*K*Iv+2*G*Id;

end




                          